Атака против WPA2, позволяющая перехватить трафик в WiFi-сети

1 месяц ago admin 0

Раскрыты детали новой техники атаки KRACK (Key Reinstallation Attacks), позволяющей вклиниться в беспроводное соединение на базе технологии WPA2 и организовать перехват или подстановку трафика. Новая техники атаки сводит на нет уровень защиты WPA2, делая работу через WPA2 не более защищённой чем, работа в публичной WiFi-сети. Всем пользователям рекомендуется обязательно использовать дополнительные уровни защиты при работе с конфиденциальными данными при соединении через WPA2, такие как VPN или обращение к ресурсам только по HTTPS.

Атака затрагивает концептуальную недоработку в стандарте WPA2, что делает уязвимыми все корректные реализации стандарта. В том числе наличие проблемы подтверждено в Android, Linux, macOS, iOS, Windows, OpenBSD, MediaTek и Linksys. Наибольшую опасность представляет уязвимость в пакете wpa_supplicant, для которого проведение атаки существенно упрощается, так как в версиях wpa_supplicant 2.4+ дополнительно найдена уязвимость, при помощи которой атакующие могут перевести соединение на работу с пустым ключом шифрования и полностью контролировать трафик. Wpa_supplicant используется в платформе Android 6+ и дистрибутивах Linux, что делает данные системы наиболее уязвимыми при доступе в сеть через WPA2. Для других реализаций возможна выборочная расшифровка кадров.

Атака сводится к инициированию процесса перенастройки сессионных ключей шифрования WPA/WPA2/RSN (TK, GTK или IGTK), путём отправки клиенту или точке доступа специально оформленного кадра. Подобная перенастройка может быть использована злоумышленником для отключения защиты от повторного воспроизведения и существенного снижения стойкости шифрования до уровня, позволяющего, в зависимости от применяемого шифра, выполнить расшифровку содержимого передаваемых кадров или определить части ключей шифрования.

В частности, так как атакующий добивается переустановки уже используемого ключа в процессе согласования соединения, то осуществляется сброс привязанного к соединению номера пакетов (nonce) и сбрасывается счётчик полученных ответов. Таким образом появляется возможность повторного использования одноразового значения «nonce». В зависимости от настроек беспроводной сети атакующий может организовать прослушивание трафика или манипуляцию данными, например, осуществить подстановку вредоносного кода на страницы сайтов, получаемые без HTTPS.

Для решения проблемы достаточно установки обновления на стороне клиента. Например, патчи уже выпущены для wpa_supplicant, а пакеты с исправлением сформированы в Debian и Fedora и в ближайшие часы ожидаются для Ubuntu, RHEL и SUSE. Из производителей оборудование обновление прошивки пока выпустил только Mikrotik.


Source: pirates.in.ua